Summary:        Library providing low-level IEEE-1394 access - 2.1.2-
Name:           libraw1394
Version:        2.1.2
Release:        3%{?dist}
License:        LGPLv2+
# http://www.dennedy.org/libraw1394/
URL:            https://sourceforge.net/projects/libraw1394/
Source0:        http://www.kernel.org/pub/linux/libs/ieee1394/%{name}-%{version}.tar.xz

BuildRequires:  gcc make
BuildRequires:  kernel-headers

%description
libraw1394 provides direct access to the IEEE 1394 bus through the Linux 1394 subsystem's
raw1394 user space interface.


%package devel
Summary:        Development libs for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development libraries for %{name}.


%prep
%autosetup


%build
%configure --disable-static
%{make_build}


%install
%{make_install}
rm -f %{buildroot}%{_libdir}/libraw1394.la


%files
%license COPYING.LIB
%doc README NEWS
%{_bindir}/dumpiso
%{_bindir}/sendiso
%{_bindir}/testlibraw
%{_libdir}/libraw1394.so.*
%{_mandir}/man1/dumpiso.1*
%{_mandir}/man1/sendiso.1*
%{_mandir}/man1/testlibraw.1*
%{_mandir}/man5/isodump.5*


%files devel
%doc doc/libraw1394.sgml
%{_libdir}/libraw1394.so
%{_libdir}/pkgconfig/libraw1394.pc
%{_includedir}/libraw1394/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 rockerzhu <rockerzhu@tencent.com> - 2.1.2-1
- Initial build
